org.eclipse.net4j.util.ui.actions

## Class SashLayoutAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.net4j.util.ui.actions.SafeAction
        - - org.eclipse.net4j.util.ui.actions.SashLayoutAction

- All Implemented Interfaces:
    java.util.EventListener, IAction, IListener
  Direct Known Subclasses:
    SashLayoutAction.Horizontal, SashLayoutAction.Vertical

      public abstract class SashLayoutAction
      extends SafeAction
      implements IListener

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SashLayoutAction.Horizontal`
    `static class` | `SashLayoutAction.LayoutMenu`
    `static class` | `SashLayoutAction.Vertical`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

      `INTERACTIVE`

    - ### Fields inherited from interface org.eclipse.jface.action.IAction

      `AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SashLayoutAction(SashComposite sashComposite, java.lang.String text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `SashComposite` | `getSashComposite()`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

      `getShell, run, safeRun`

    - ### Methods inherited from class org.eclipse.jface.action.Action

      `convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

    - ### Methods inherited from class org.eclipse.jface.action.AbstractAction

      `addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.IListener

      `notifyEvent`

- - ### Constructor Detail

    - #### SashLayoutAction

          public SashLayoutAction(SashComposite sashComposite,
                                  java.lang.String text)

  - ### Method Detail

    - #### getSashComposite

          public SashComposite getSashComposite()

    - #### dispose

          public void dispose()

      Since:
        2.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html